# version: '3.8'

# services:
#   web:
#     build: 
#       context: .
#       dockerfile: Dockerfile
#     ports:
#       - "80:80"
#       - "3000:3000"
#     restart: unless-stopped
#     # Добавьте volumes если нужно хранить данные постоянно
#     # volumes:
#     #   - ./logs:/var/log/nginx
#     networks:
#       - app-network

# networks:
#   app-network:
#     driver: bridge


version: '3'
services:
  app:
    build: .
    # container_name: app
    restart: always
    # ports:
    #   - "80:80"
    #   - "443:443"
    # networks:
    #   - app-network

#   nginx:
#     image: nginx:alpine
#     container_name: nginx
#     ports:
#       - "80:80"
#       - "443:443"
#     volumes:
#       - ./nginx/conf.d:/etc/nginx/conf.d
#       - ./nginx/ssl:/etc/nginx/ssl
#     depends_on:
#       - nextjs
#     networks:
#       - app-network
#     restart: always

# networks:
#   app-network:
#     driver: bridge
